Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.geom.mesh
Class WEVertex

    java.lang.Object
      toxi.geom.Vec3D
          toxi.geom.mesh.Vertex
              toxi.geom.mesh.WEVertex

All Implemented Interfaces:
  java.lang.Comparable<ReadonlyVec3D>, ReadonlyVec3D

    public class WEVertex

extends Vertex

Nested Class Summary

Nested classes/interfaces inherited from class toxi.geom.Vec3D
`Vec3D.Axis`

Field Summary
`java.util.List<WingedEdge>` | `edges`

Fields inherited from class toxi.geom.mesh.Vertex
`id, normal`

Fields inherited from class toxi.geom.Vec3D
`MAX_VALUE, MIN_VALUE, x, X_AXIS, y, Y_AXIS, z, Z_AXIS, ZERO`

Constructor Summary
`WEVertex(Vec3D v, int id)`

Method Summary
`void` | `addEdge(WingedEdge e)`
`WEVertex` | `getNeighborInDirection(ReadonlyVec3D dir, float tolerance)`
`java.util.List<WEVertex>` | `getNeighbors()`
`void` | `removeEdge(WingedEdge e)`
`java.lang.String` | `toString()`

Methods inherited from class toxi.geom.Vec3D
`abs, add, add, add, addSelf, addSelf, angleBetween, angleBetween, clear, compareTo, constrain, constrain, copy, cross, cross, crossInto, crossSelf, distanceTo, distanceToSquared, dot, dot, equals, equalsWithTolerance, floor, frac, fromXYTheta, fromXZTheta, fromYZTheta, getAbs, getComponent, getComponent, getConstrained, getFloored, getFrac, getInverted, getLimited, getNormalized, getNormalizedTo, getReciprocal, getReflected, getRotatedAroundAxis, getRotatedX, getRotatedY, getRotatedZ, getSignum, hashCode, headingXY, headingXZ, headingYZ, immutable, interpolateTo, interpolateTo, interpolateTo, interpolateTo, interpolateToSelf, interpolateToSelf, invert, isInAABB, isInAABB, isMajorAxis, isZeroVector, jitter, jitter, jitter, jitter, jitter, jitter, limit, magnitude, magSquared, max, maxSelf, min, minSelf, modSelf, modSelf, normalize, normalizeTo, randomVector, randomVector, reciprocal, reflect, rotateAroundAxis, rotateX, rotateY, rotateZ, roundToAxis, scale, scale, scale, scale, scaleSelf, scaleSelf, scaleSelf, set, set, set, setComponent, setComponent, setXY, shuffle, signum, sub, sub, sub, subSelf, subSelf, to2DXY, to2DXZ, to2DYZ, toArray, toArray4, toCartesian, toSpherical, x, y, z`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### edges

    public java.util.List<WingedEdge> edges

Constructor Detail

### WEVertex

    public WEVertex(Vec3D v,
                    int id)

Method Detail

### addEdge

    public void addEdge(WingedEdge e)

### getNeighborInDirection

    public WEVertex getNeighborInDirection(ReadonlyVec3D dir,
                                           float tolerance)

### getNeighbors

    public java.util.List<WEVertex> getNeighbors()

### removeEdge

    public void removeEdge(WingedEdge e)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Vertex`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD